Subject: Re: 2.6.28-rc3(-next20081103) suspend issues on Lenovo X200

From: Nico -telmich- Schottelius <[email-masked]>
Date: Wed, 5 Nov 2008 18:31:32 +0100

Jesse Barnes [Mon, Nov 03, 2008 at 05:04:25PM -0800]:
> On Monday, November 3, 2008 4:55 pm Rafael J. Wysocki wrote:
> >
> > Jesse, any ideas?  Can that be related to the DRM problem with radeon?
> 
> On many machines, we've found that re-POSTing the video device is incompatible 
> with the i915 driver's suspend/resume functionality.  So things like s3_bios 
> and vbetool shouldn't be used if the i915 driver works by itself.

I removed the s3_bios option; not the console keeps on being black,
but the system wakes up (tested with next-20081105).

When running xorg the system freezes on wakeup and hard reboots after
20 seconds (again: looks like some kind of watchdog, though I am not
aware of anything like that in the X200).

Sincerly,

Nico (again: looks like some kind of watchdog, though I am not
aware of anything like that in the X200).

Sincerly,

Nico

-- 
Think about Free and Open Source Software (FOSS).
http://nico.schottelius.org/documentations/foss/the-term-foss/

PGP: BFE4 C736 ABE5 406F 8F42  F7CF B8BE F92A 9885 188C